% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/collapse-chains.R
\name{collapse_chains.mcmc}
\alias{collapse_chains.mcmc}
\title{Collapse Chains}
\usage{
\method{collapse_chains}{mcmc}(x, ...)
}
\arguments{
\item{x}{An object.}

\item{...}{Other arguments passed to methods.}
}
\value{
The modified object with one chain.
}
\description{
Collapses an MCMC object's chains into a single chain.
}
\details{
As mcmc objects can only have 1 chain the object is unchanged.
}
\examples{
collapse_chains(as_mcmc(nlist(x = 2)))
}
\seealso{
Other MCMC manipulations: 
\code{\link[universals]{bind_chains}()},
\code{\link[universals]{bind_iterations}()},
\code{\link[universals]{estimates}()},
\code{\link[universals]{split_chains}()}
}
